Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# PC_Handler Class Reference

Handler class for <packageconfiguration> type. More...

`#include <PC_Handler.h>`

Inheritance diagram for PC_Handler:

[legend]
Collaboration diagram for PC_Handler:

[legend]
List of all members.

## Public Member Functions
| PC_Handler (DOMDocument *doc, unsigned long filter_)
| constructor
| PC_Handler (DOMNodeIterator *iter, bool release=false)
| constructor
| PC_Handler (DOMDocument *doc, DOMNodeIterator *iter, bool release=false)
| constructor
void | process_PackageConfiguration (::Deployment::PackageConfiguration &pc)
| Process the package configuration.
void | process_specializedConfig (const XMLCh *specializedConfig,::Deployment::PackageConfiguration &pc)
| Process the specializedConfig attribute.

## Detailed Description

Handler class for <packageconfiguration> type.

This class is within the Component Data Model subpackage of the Deployment & Configuration package.

This class defines handler methods to parse the aforementioned type in the description files. The corresponding CORBA IDL type for this element is returned.

## Constructor & Destructor Documentation

PC_Handler::PC_Handler | ( | DOMDocument * | doc,
|  | unsigned long | filter_
| ) | `[inline]`

| constructor

PC_Handler::PC_Handler | ( | DOMNodeIterator * | iter,
|  | bool | release = `false`
| ) | `[inline]`

| constructor

PC_Handler::PC_Handler | ( | DOMDocument * | doc,
|  | DOMNodeIterator * | iter,
|  | bool | release = `false`
| ) | `[inline]`

| constructor

## Member Function Documentation

BEGIN_DEPLOYMENT_NAMESPACE void PC_Handler::process_PackageConfiguration | ( | ::Deployment::PackageConfiguration & | pc | ) |

| Process the package configuration.

void PC_Handler::process_specializedConfig | ( | const XMLCh * | specializedConfig,
|  | ::Deployment::PackageConfiguration & | pc
| ) |

| Process the specializedConfig attribute.

The documentation for this class was generated from the following files:

- PC_Handler.h
- PC_Handler.cpp